Package org.apache.avro.perf.test.reflect.jmh_generated

# Class ReflectBigRecordTest_jmhType

java.lang.Object
org.apache.avro.perf.test.reflect.ReflectBigRecordTest
org.apache.avro.perf.test.reflect.jmh_generated.ReflectBigRecordTest_jmhType_B1
org.apache.avro.perf.test.reflect.jmh_generated.ReflectBigRecordTest_jmhType_B2
org.apache.avro.perf.test.reflect.jmh_generated.ReflectBigRecordTest_jmhType_B3
org.apache.avro.perf.test.reflect.jmh_generated.ReflectBigRecordTest_jmhType

public class ReflectBigRecordTest_jmhType extends ReflectBigRecordTest_jmhType_B3

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.avro.perf.test.reflect.ReflectBigRecordTest

`ReflectBigRecordTest.TestStateDecode, ReflectBigRecordTest.TestStateEncode`

## Field Summary

### Fields inherited from class org.apache.avro.perf.test.reflect.jmh_generated.ReflectBigRecordTest_jmhType_B2

`setupInvocationMutex, setupInvocationMutexUpdater, setupIterationMutex, setupIterationMutexUpdater, setupTrialMutex, setupTrialMutexUpdater, tearInvocationMutex, tearInvocationMutexUpdater, tearIterationMutex, tearIterationMutexUpdater, tearTrialMutex, tearTrialMutexUpdater`

## Constructor Summary

Constructors
Constructor
Description
`ReflectBigRecordTest_jmhType()`

## Method Summary

### Methods inherited from class org.apache.avro.perf.test.reflect.ReflectBigRecordTest

`decode, encode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReflectBigRecordTest_jmhType

public ReflectBigRecordTest_jmhType()